//	---------------------------------------------------------------------------
//	jWebSocket - Tokenizable Interface
//	Copyright (c) 2010 Alexander Schulze, Innotrade GmbH
//	---------------------------------------------------------------------------
//	This program is free software; you can redistribute it and/or modify it
//	under the terms of the GNU Lesser General Public License as published by the
//	Free Software Foundation; either version 3 of the License, or (at your
//	option) any later version.
//	This program is distributed in the hope that it will be useful, but WITHOUT
//	ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
//	FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for
//	more details.
//	You should have received a copy of the GNU Lesser General Public License along
//	with this program; if not, see <http://www.gnu.org/licenses/lgpl.html>.
//	---------------------------------------------------------------------------
package org.jwebsocket.api;

import org.jwebsocket.token.Token;

/**
 *
 * @author alexanderschulze
 */
public interface ITokenizable {

	/**
	 * Writes the object to a given token.
	 * @param aObject
	 * @return
	 */
	void writeToToken(Token aToken);

	/**
	 * Reads the objects from a given token.
	 * @param aToken
	 * @return
	 */
	void readFromToken(Token aToken);
}
